package com.bocloud.cmp.model.hmc;

public class HmdViosPhysicalDiskModel extends HmdGenericModel {
    private String name; // 名称
    private String status; // 状态
    private Float capacity; // 容量
    private String uniqueDeviceId; // 唯一设备id
    private Integer viosAdapterId; // 所属vios适配器id
    private Integer assignAdapterId; // 分配的逻辑分区的适配器id
    private String assignTargetName; // 分配后生成的target的名称
    private String assignTargetUniqueDeviceId; // 分配后生成的target的唯一设备id
    private Boolean available; // 是否可用
    private Boolean isFc; // 是否光纤
    private String locationCode; // 位置
    private String reservePolicy; // 保留策略
    private String reservePolicyAlgorithm; // 保留策略算法
    private HmdPartitionModel vios; // 所属vios
    private HmdViosVolumeGroupModel volumeGroup; // 所属存储池
    private HmdPartitionModel assignPartition; // 分配的lpar

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Float getCapacity() {
        return capacity;
    }

    public void setCapacity(Float capacity) {
        this.capacity = capacity;
    }

    public String getUniqueDeviceId() {
        return uniqueDeviceId;
    }

    public void setUniqueDeviceId(String uniqueDeviceId) {
        this.uniqueDeviceId = uniqueDeviceId;
    }

    public Integer getViosAdapterId() {
        return viosAdapterId;
    }

    public void setViosAdapterId(Integer viosAdapterId) {
        this.viosAdapterId = viosAdapterId;
    }

    public Integer getAssignAdapterId() {
        return assignAdapterId;
    }

    public void setAssignAdapterId(Integer assignAdapterId) {
        this.assignAdapterId = assignAdapterId;
    }

    public Boolean getAvailable() {
        return available;
    }

    public void setAvailable(Boolean available) {
        this.available = available;
    }

    public Boolean getIsFc() {
        return isFc;
    }

    public void setIsFc(Boolean isFc) {
        this.isFc = isFc;
    }

    public String getLocationCode() {
        return locationCode;
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }

    public String getReservePolicy() {
        return reservePolicy;
    }

    public void setReservePolicy(String reservePolicy) {
        this.reservePolicy = reservePolicy;
    }

    public String getReservePolicyAlgorithm() {
        return reservePolicyAlgorithm;
    }

    public void setReservePolicyAlgorithm(String reservePolicyAlgorithm) {
        this.reservePolicyAlgorithm = reservePolicyAlgorithm;
    }

    public String getAssignTargetName() {
        return assignTargetName;
    }

    public void setAssignTargetName(String assignTargetName) {
        this.assignTargetName = assignTargetName;
    }

    public String getAssignTargetUniqueDeviceId() {
        return assignTargetUniqueDeviceId;
    }

    public void setAssignTargetUniqueDeviceId(String assignTargetUniqueDeviceId) {
        this.assignTargetUniqueDeviceId = assignTargetUniqueDeviceId;
    }

    public HmdPartitionModel getVios() {
        return vios;
    }

    public void setVios(HmdPartitionModel vios) {
        this.vios = vios;
    }

    public HmdViosVolumeGroupModel getVolumeGroup() {
        return volumeGroup;
    }

    public void setVolumeGroup(HmdViosVolumeGroupModel volumeGroup) {
        this.volumeGroup = volumeGroup;
    }

    public HmdPartitionModel getAssignPartition() {
        return assignPartition;
    }

    public void setAssignPartition(HmdPartitionModel assignPartition) {
        this.assignPartition = assignPartition;
    }

}
